com.thinkaurelius.titan.diskstorage.configuration

## Enum ConfigOption.Type

- java.lang.Object
- - java.lang.Enum<ConfigOption.Type>
  - - com.thinkaurelius.titan.diskstorage.configuration.ConfigOption.Type

- All Implemented Interfaces:
    Serializable, Comparable<ConfigOption.Type>
  Enclosing class:
    ConfigOption<O>

      public static enum ConfigOption.Type
      extends Enum<ConfigOption.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIXED` Once the database has been opened, these configuration options cannot be changed for the entire life of the database
    `GLOBAL` These options can only be changed globally across the entire database cluster
    `GLOBAL_OFFLINE` These options can only be changed for the entire database cluster at once when all instances are shut down
    `LOCAL` These options can ONLY be provided through a local configuration file
    `MASKABLE` These options are global but can be overwritten by a local configuration file

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigOption.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigOption.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIXED

          public static final ConfigOption.Type FIXED

      Once the database has been opened, these configuration options cannot be changed for the entire life of the database

    - #### GLOBAL_OFFLINE

          public static final ConfigOption.Type GLOBAL_OFFLINE

      These options can only be changed for the entire database cluster at once when all instances are shut down

    - #### GLOBAL

          public static final ConfigOption.Type GLOBAL

      These options can only be changed globally across the entire database cluster

    - #### MASKABLE

          public static final ConfigOption.Type MASKABLE

      These options are global but can be overwritten by a local configuration file

    - #### LOCAL

          public static final ConfigOption.Type LOCAL

      These options can ONLY be provided through a local configuration file

  - ### Method Detail

    - #### values

          public static ConfigOption.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigOption.Type c : ConfigOption.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigOption.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2012–2014. All rights reserved.